gnome-common patch



Hi,

The new gnome-common autogen.sh script is really cool, but I had a small
issue with it: in debian, autoconf 2.57 is named autoconf2.50 which
prevents gnome-common from finding it. 
The attached patch fixes that. I also added the possibility to define
AUTOMAKE and AUTOCONF variables for people wanting to override the
name/location of their automake/autoconf. 

Does it sound like a good thing ? Or should I just commit the
autoconf2.50 part ?

Christophe



? debian.diff
Index: macros2/autogen.sh
===================================================================
RCS file: /cvs/gnome/gnome-common/macros2/autogen.sh,v
retrieving revision 1.21
diff -u -r1.21 autogen.sh
--- macros2/autogen.sh	18 Feb 2003 15:09:45 -0000	1.21
+++ macros2/autogen.sh	20 Feb 2003 17:10:13 -0000
@@ -192,19 +192,19 @@
 
 DIE=0
 
-version_check autoconf AUTOCONF 'autoconf autoconf-2.53' $REQUIRED_AUTOCONF_VERSION \
+version_check autoconf AUTOCONFBIN "$AUTOCONF autoconf autoconf-2.53 " $REQUIRED_AUTOCONF_VERSION \
     "http://ftp.gnu.org/pub/gnu/autoconf/autoconf-$REQUIRED_AUTOCONF_VERSION.tar.gz"; || DIE=1
-AUTOHEADER=`echo $AUTOCONF | sed s/autoconf/autoheader/`
+AUTOHEADER=`echo $AUTOCONFBIN | sed s/autoconf/autoheader/`
 
 case $REQUIRED_AUTOMAKE_VERSION in
-    1.4*) automake_progs="automake-1.4" ;;
-    1.5*) automake_progs="automake-1.7 automake-1.6 automake-1.5" ;;
-    1.6*) automake_progs="automake-1.7 automake-1.6" ;;
-    1.7*) automake_progs="automake-1.7" ;;
+    1.4*) automake_progs="$AUTOMAKE automake-1.4" ;;
+    1.5*) automake_progs="$AUTOMAKE automake-1.7 automake-1.6 automake-1.5" ;;
+    1.6*) automake_progs="$AUTOMAKE automake-1.7 automake-1.6" ;;
+    1.7*) automake_progs="$AUTOMAKE automake-1.7" ;;
 esac
-version_check automake AUTOMAKE "$automake_progs" $REQUIRED_AUTOMAKE_VERSION \
+version_check automake AUTOMAKEBIN "$automake_progs" $REQUIRED_AUTOMAKE_VERSION \
     "http://ftp.gnu.org/pub/gnu/automake/automake-$REQUIRED_AUTOMAKE_VERSION.tar.gz"; || DIE=1
-ACLOCAL=`echo $AUTOMAKE | sed s/automake/aclocal/`
+ACLOCAL=`echo $AUTOMAKEBIN | sed s/automake/aclocal/`
 
 if $want_libtool; then
     version_check libtool LIBTOOLIZE libtoolize $REQUIRED_LIBTOOL_VERSION \
@@ -296,11 +296,11 @@
 	    $AUTOHEADER || exit 1
 	fi
 
-	printbold "Running $AUTOMAKE..."
-	$AUTOMAKE --gnu --add-missing || exit 1
+	printbold "Running $AUTOMAKEBIN..."
+	$AUTOMAKEBIN --gnu --add-missing || exit 1
 
-	printbold "Running $AUTOCONF..."
-	$AUTOCONF || exit 1
+	printbold "Running $AUTOCONFBIN..."
+	$AUTOCONFBIN || exit 1
 
 	cd $topdir
     fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]